# Uses of Interface
org.eclipse.emf.cdo.eresource.EresourcePackage

Packages that use EresourcePackage
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.

## Uses of EresourcePackage in org.eclipse.emf.cdo.eresource

Fields in org.eclipse.emf.cdo.eresource declared as EresourcePackage
Modifier and Type
Field
Description
`static final EresourcePackage`
EresourcePackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.eresource that return EresourcePackage
Modifier and Type
Method
Description
`EresourcePackage`
EresourceFactory.`getEresourcePackage()`
Returns the package supported by this factory.

## Uses of EresourcePackage in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement EresourcePackage
Modifier and Type
Class
Description
`class`
`EresourcePackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.eresource.impl that return EresourcePackage
Modifier and Type
Method
Description
`EresourcePackage`
EresourceFactoryImpl.`getEresourcePackage()`
`static EresourcePackage`
EresourceFactoryImpl.`getPackage()`
Deprecated.
`static EresourcePackage`
EresourcePackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of EresourcePackage in org.eclipse.emf.cdo.eresource.util

Fields in org.eclipse.emf.cdo.eresource.util declared as EresourcePackage
Modifier and Type
Field
Description
`protected static EresourcePackage`
EresourceAdapterFactory.`modelPackage`
The cached model package.
`protected static EresourcePackage`
EresourceSwitch.`modelPackage`
The cached model package